curl --request POST \
--url https://cert.trustedform.com/{cert_id_} \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"fingerprint": "Y6cQVpJhoks3ZidbcADOjXsy4vc=",
"forbidden_scan_terms": "I do not agree to the terms of service",
"phone_1": "5125551234",
"required_scan_terms": "I agree to the terms of service"
}
'
import requests
url = "https://cert.trustedform.com/{cert_id_}"
payload = {
"email": "user@example.com",
"fingerprint": "Y6cQVpJhoks3ZidbcADOjXsy4vc=",
"forbidden_scan_terms": "I do not agree to the terms of service",
"phone_1": "5125551234",
"required_scan_terms": "I agree to the terms of service"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'user@example.com',
fingerprint: 'Y6cQVpJhoks3ZidbcADOjXsy4vc=',
forbidden_scan_terms: 'I do not agree to the terms of service',
phone_1: '5125551234',
required_scan_terms: 'I agree to the terms of service'
})
};
fetch('https://cert.trustedform.com/{cert_id_}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cert.trustedform.com/{cert_id_}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'user@example.com',
'fingerprint' => 'Y6cQVpJhoks3ZidbcADOjXsy4vc=',
'forbidden_scan_terms' => 'I do not agree to the terms of service',
'phone_1' => '5125551234',
'required_scan_terms' => 'I agree to the terms of service'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cert.trustedform.com/{cert_id_}"
payload := strings.NewReader("{\n \"email\": \"user@example.com\",\n \"fingerprint\": \"Y6cQVpJhoks3ZidbcADOjXsy4vc=\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"5125551234\",\n \"required_scan_terms\": \"I agree to the terms of service\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://cert.trustedform.com/{cert_id_}")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"user@example.com\",\n \"fingerprint\": \"Y6cQVpJhoks3ZidbcADOjXsy4vc=\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"5125551234\",\n \"required_scan_terms\": \"I agree to the terms of service\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://cert.trustedform.com/{cert_id_}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"user@example.com\",\n \"fingerprint\": \"Y6cQVpJhoks3ZidbcADOjXsy4vc=\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"5125551234\",\n \"required_scan_terms\": \"I agree to the terms of service\"\n}"
response = http.request(request)
puts response.read_body
{
"errors": {
"detail": "Account is inactive"
},
"message": "Account is inactive",
"outcome": "error",
"reason": "Account is inactive"
}
{
"outcome": "error",
"reason": "TrustedForm certificate has expired or could not be found"
}
{
"outcome": "error",
"reason": "Certificate is not claimable"
}
{
"outcome": "error",
"reason": "Certificate has been claimed too many times"
}
Retrieving Insights
Retrieve Certificate Insights
Account holders using TrustedForm Insights who are receiving certified leads can use the following request to retrieve TrustedForm metadata for the lead contained in a TrustedForm certificate.
POST
/
{cert_id_}
Retrieve Certificate Insights
curl --request POST \
--url https://cert.trustedform.com/{cert_id_} \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"fingerprint": "Y6cQVpJhoks3ZidbcADOjXsy4vc=",
"forbidden_scan_terms": "I do not agree to the terms of service",
"phone_1": "5125551234",
"required_scan_terms": "I agree to the terms of service"
}
'
import requests
url = "https://cert.trustedform.com/{cert_id_}"
payload = {
"email": "user@example.com",
"fingerprint": "Y6cQVpJhoks3ZidbcADOjXsy4vc=",
"forbidden_scan_terms": "I do not agree to the terms of service",
"phone_1": "5125551234",
"required_scan_terms": "I agree to the terms of service"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'user@example.com',
fingerprint: 'Y6cQVpJhoks3ZidbcADOjXsy4vc=',
forbidden_scan_terms: 'I do not agree to the terms of service',
phone_1: '5125551234',
required_scan_terms: 'I agree to the terms of service'
})
};
fetch('https://cert.trustedform.com/{cert_id_}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cert.trustedform.com/{cert_id_}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'user@example.com',
'fingerprint' => 'Y6cQVpJhoks3ZidbcADOjXsy4vc=',
'forbidden_scan_terms' => 'I do not agree to the terms of service',
'phone_1' => '5125551234',
'required_scan_terms' => 'I agree to the terms of service'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cert.trustedform.com/{cert_id_}"
payload := strings.NewReader("{\n \"email\": \"user@example.com\",\n \"fingerprint\": \"Y6cQVpJhoks3ZidbcADOjXsy4vc=\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"5125551234\",\n \"required_scan_terms\": \"I agree to the terms of service\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://cert.trustedform.com/{cert_id_}")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"user@example.com\",\n \"fingerprint\": \"Y6cQVpJhoks3ZidbcADOjXsy4vc=\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"5125551234\",\n \"required_scan_terms\": \"I agree to the terms of service\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://cert.trustedform.com/{cert_id_}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"user@example.com\",\n \"fingerprint\": \"Y6cQVpJhoks3ZidbcADOjXsy4vc=\",\n \"forbidden_scan_terms\": \"I do not agree to the terms of service\",\n \"phone_1\": \"5125551234\",\n \"required_scan_terms\": \"I agree to the terms of service\"\n}"
response = http.request(request)
puts response.read_body
When using the data service on a certificate, you may pass an optional email (or email_1, email_2, etc) parameter. TrustedForm will extract the email value and perform fingerprinting against the available data.
Calculated lead fingerprint values using the email and phone number received in the lead data accompanying the certificate. Each fingerprint value is an SHA1 hash of an email or phone value. Each fingerprint value should be provided in a fingerprint parameter.
If none of the fingerprints you provide match a fingerprint collected on the certificate, then "none of the provided fingerprints match" will be included in the warnings field and outcome will be "failure". This indicates that the lead data collected on the form does not match the lead data that you received.
Use this parameter to perform a scan of the page for text that must not be present. TrustedForm will then perform a case and whitespace insensitive search for the string. If the string is found in the HTML document, then "string found in snapshot" will be included in the warnings key of the response and the outcome with be "failure".
Use this parameter to perform a scan of the page for text that must not be present. TrustedForm will then perform a case and whitespace insensitive search for the string. If the string is found in the HTML document, then "string found in snapshot" will be included in the warnings key of the response and the outcome with be "failure".
When using the data service on a certificate, you may pass an optional phone (or phone_1, phone_2, etc) parameter. TrustedForm will extract the phone number value and perform fingerprinting against the available data.
Use this parameter to perform a scan of the page for required text. TrustedForm will then perform a case and whitespace insensitive search for the string. If the string is not found in the HTML document, then "string not found in snapshot" will be included in the warnings key of the response and the outcome will be "failure".
Use this parameter to perform a scan of the page for required text. TrustedForm will then perform a case and whitespace insensitive search for the string. If the string is not found in the HTML document, then "string not found in snapshot" will be included in the warnings key of the response and the outcome will be "failure".
You can provide your own delimiter to use when wrapping wildcards or
tempate variablies. Your choice of delimiter must be homogeneous (i.e.
the beginning and end are the same character(s)), such as
|, ==, or |||.
The result of the attempt to verify consent. Success indicates that the request did not generate any warnings related to consent verification. Failure indicates that the requests generated warnings because no fingerprints matched, forbidden scan terms were found or required scan terms were missing. Error indicates that the request was not successfull and the request should be reviewed and potentially retried.
An array of strings indicating possible issues with the certificate
none of the provided fingerprints match: No fingerprints matched.
string not found in snapshot: A required page scan text was not found.
string found in snapshot: A forbidden page scan text was found.
Available options:
none of the provided fingerprints match,
string not found in snapshot,
string found in snapshot
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"ActiveProspect Developer Documentation","colors":{"primary":"#22a7f0","light":"#79caf6","dark":"#22a7f0"},"logo":{"light":"https://mintcdn.com/activeprospectinc/ttzTIJYOTNQPAJMy/logo/activeprospect_logo.svg?fit=max\u0026auto=format\u0026n=ttzTIJYOTNQPAJMy\u0026q=85\u0026s=9c7503c7631642aa1f7288ae35cc02cc","dark":"https://mintcdn.com/activeprospectinc/ttzTIJYOTNQPAJMy/logo/activeprospect_whiteblue.svg?fit=max\u0026auto=format\u0026n=ttzTIJYOTNQPAJMy\u0026q=85\u0026s=3df29616a4d6781de4873141e49ca8e0"},"favicon":"https://mintcdn.com/activeprospectinc/ybHg7UeILJeU2Jw-/favicon.png?fit=max\u0026auto=format\u0026n=ybHg7UeILJeU2Jw-\u0026q=85\u0026s=95060b05f4b73bb5ad4a373e19c17430","navbar":{"links":[{"href":"https://support.activeprospect.com/hc/en-us","label":"Support"}],"primary":{"type":"button","label":"Sign in to ActiveProspect","href":"https://account.activeprospect.com"}},"footer":{"socials":{"facebook":"https://www.facebook.com/activeprospect","x":"https://twitter.com/activeprospect","instagram":"https://www.instagram.com/activeprospectinc","linkedin":"https://www.linkedin.com/company/activeprospect","youtube":"https://www.youtube.com/channel/UCN_HLECy6KzYhFfIyLM50rQ","github":"https://github.com/activeprospect"},"links":[{"header":"Customers","items":[{"label":"Knowledge Base","href":"https://support.activeprospect.com/hc/en-us"},{"label":"Start Certifying your Leads","href":"https://account.activeprospect.com/register/trustedform/certify"},{"label":"Product What's New","href":"https://whatsnew.activeprospect.com/"},{"label":"Platform Status","href":"https://status.activeprospect.com/"},{"label":"Integrations","href":"https://activeprospect.com/integrations"},{"label":"Add-ons","href":"https://activeprospect.com/leadconduit/add-on-services"},{"label":"Support Plans","href":"https://activeprospect.com/support-plans"}]},{"header":"Resources","items":[{"label":"TrustedForm Cert Demo","href":"https://activeprospect.com/products/trustedform-demo"},{"label":"Talk to an Expert","href":"https://activeprospect.com/get-demo"},{"label":"Blog","href":"https://activeprospect.com/blog"},{"label":"InsideCBM","href":"https://activeprospect.com/inside-cbm"},{"label":"Glossary","href":"https://activeprospect.com/glossary"},{"label":"TCPA Compliance","href":"https://activeprospect.com/tcpa-compliance"},{"label":"Ping Pick Post","href":"https://activeprospect.com/ping-pick-post"}]},{"header":"Company","items":[{"label":"About Us","href":"https://activeprospect.com/about-us"},{"label":"Conferences and Events","href":"https://activeprospect.com/activeprospect-events"},{"label":"Careers","href":"https://activeprospect.com/careers"},{"label":"Security","href":"https://activeprospect.com/security"},{"label":"Security Information Portal","href":"https://security.activeprospect.com/"},{"label":"Contact Us","href":"https://activeprospect.com/contact-us"}]},{"header":"Legal","items":[{"label":"Privacy Policy","href":"https://activeprospect.com/privacy-policy"},{"label":"TrustedForm Privacy Policy","href":"https://activeprospect.com/trustedform-privacy-notice"},{"label":"Privacy Notice for California Residents","href":"https://activeprospect.com/privacy-notice-california"},{"label":"Terms of Service","href":"https://activeprospect.com/terms-of-service"},{"label":"TrustedForm Certify EULA","href":"https://activeprospect.com/trustedform-eula"}]}]},"seo":{"metatags":{"canonical":"https://developers.activeprospect.com"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"activeprospectinc","hasAudioNarration":false,"actualSubdomain":"activeprospectinc","customDomains":["developers.activeprospect.com"],"gitSource":{"type":"github","owner":"activeprospect","repo":"documentation","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aea11512d9111c67b18d575","collectionId":"7533e224-8cf8-49b6-b7a8-e85a461a93bd","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aea11512d9111c67b18d575"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aea11512d9111c67b18d575","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Documentation","count":115},{"language":"default","tag":"LeadConduit","count":99},{"language":"default","tag":"API Endpoints","count":92},{"language":"default","tag":"TrustedForm","count":26},{"language":"default","tag":"Flows","count":18},{"language":"default","tag":"TrustedForm API 4.0","count":11},{"language":"default","tag":"Account","count":9},{"language":"default","tag":"Fields","count":9},{"language":"default","tag":"Caps and Limits","count":8},{"language":"default","tag":"Operations","count":8}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".black-headline{color:#000;font-weight:700;font-size:18px}.tfbody{border:1px solid #000;background-color:#9bcae3;font-family:\"proxima nova\",sans-serif;color:#131718;width:670px;margin:0 auto;padding:20px;font-size:18px}.tfbody input{background-color:#6fb3c1;display:block;margin:10px 0;padding:6px 0;font-size:14px}.tfbody input[type=checkbox]{display:inline}.tfbody input[type=email],.tfbody input[type=password],.tfbody textarea{color:#fff;min-width:90%}.tfbody input[type=text]{color:#fff;min-width:90%;width:200px}.tfbody a{color:#fff}.tfbody .consent_copy{margin:auto;width:80%}.tfbody .form_field_hldr_hldr{width:100%;padding:12px}.tfbody .form_field_hldr{width:44%;display:inline-block}.check-wrapper{padding:6px}#test-form{margin:auto}#consent_tag_target{color:#00008b;width:100%;text-align:center;margin:6px;height:2rem}.indentpar{display:inline}.indented{margin-left:22px;margin-top:-28px;line-height:22px}[data-tf-element-role=\"\"],[data-tf-element-role=consent-language],[data-tf-element-role=offer]{border:2px solid #9bcae3}[data-tf-element-role=offer]:hover{border:2px solid #ff0}[data-tf-element-role=consent-language]:hover{border:2px solid #adff2f}.consent-hilight>* [data-tf-element-role]:not([data-tf-element-role=offer]):not([data-tf-element-role=consent-language]){background-color:inherit;box-shadow:0 0 1px 1px #8a2be2}.consent-hilight>[data-tf-element-role]:not([data-tf-element-role=offer]):not([data-tf-element-role=consent-language]){background-color:#ff0!important;box-shadow:0 0 1px 1px #8a2be2}[data-tf-element-role]:not([data-tf-element-role=offer]):not([data-tf-element-role=consent-language]):hover{background-color:#ff0}"}],"page":{"pagePath":"api-reference/retrieving-insights/retrieve-certificate-insights","slug":"/api-reference/retrieving-insights/retrieve-certificate-insights","pageMetadata":{"title":"Retrieve Certificate Insights","description":"Account holders using TrustedForm Insights who are receiving certified leads can use the following request to retrieve TrustedForm metadata for the lead contained in a TrustedForm certificate.\n","deprecated":null,"version":null,"openapi":"/api-reference/trustedform_v3.json post /{cert_id_}","href":"/api-reference/retrieving-insights/retrieve-certificate-insights","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Account holders using TrustedForm Insights who are receiving certified leads can use the following request to retrieve TrustedForm metadata for the lead contained in a TrustedForm certificate.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve Certificate Insights","description":"Account holders using TrustedForm Insights who are receiving certified leads can use the following request to retrieve TrustedForm metadata for the lead contained in a TrustedForm certificate.\n","deprecated":null,"version":null,"openapi":"/api-reference/trustedform_v3.json post /{cert_id_}","href":"/api-reference/retrieving-insights/retrieve-certificate-insights","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"callbacks":{},"description":"Account holders using TrustedForm Insights who are receiving certified leads can use the following request to retrieve TrustedForm metadata for the lead contained in a TrustedForm certificate.\n","operationId":"ClaimerWeb.DataServiceController.show","parameters":["1ad209d1-f01c-47ab-b678-42ddc3ffc84e"],"requestBody":"4ffc570f-244e-43e2-85c6-4c7b929d3f11","responses":{"200":"1a862367-6f09-4ccd-bd52-3789cf3e9553","400":"2a8b8f0a-fc5d-471f-80d0-579d8faeb018","401":"1bfa074e-8d51-4865-96d6-61165c2f166e","402":"1be4c550-e5a8-490d-9b58-50e714719cfe","404":"c5205a0e-5d08-4540-af85-0e0bbd93ae0d","405":"7554e13c-913e-44a0-ba8a-722af31c8b98","422":"74a84d95-5337-414d-aeb1-e75f381a3d33"},"security":[],"summary":"Retrieve Certificate Insights","tags":["Retrieving Insights"],"method":"post","type":"path","servers":["371b2407-45a8-41eb-be2b-d0e5a4677c60"],"path":"/{cert_id_}","baseUrlOptions":["https://cert.trustedform.com"],"title":"Retrieve Certificate Insights","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"1ad209d1-f01c-47ab-b678-42ddc3ffc84e":{"description":"Certificate ID","in":"path","name":"cert_id_","required":true,"schema":{"type":"string","isRequired":true,"description":"Certificate ID","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"example":{"email":"user@example.com","fingerprint":"Y6cQVpJhoks3ZidbcADOjXsy4vc=","forbidden_scan_terms":"I do not agree to the terms of service","phone_1":"5125551234","required_scan_terms":"I agree to the terms of service"},"properties":{"email":{"description":"When using the data service on a certificate, you may pass an optional email (or email_1, email_2, etc) parameter. TrustedForm will extract the email value and perform fingerprinting against the available data.\n","type":"string","uniqueKey":"email","typeLabel":"string"},"fingerprint":{"description":"Calculated lead fingerprint values using the email and phone number received in the lead data accompanying the certificate. Each fingerprint value is an SHA1 hash of an email or phone value. Each fingerprint value should be provided in a fingerprint parameter.\n\nIf none of the fingerprints you provide match a fingerprint collected on the certificate, then \"none of the provided fingerprints match\" will be included in the warnings field and outcome will be \"failure\". This indicates that the lead data collected on the form does not match the lead data that you received.\n","type":"string","uniqueKey":"fingerprint","typeLabel":"string"},"forbidden_scan_terms":{"description":"Use this parameter to perform a scan of the page for text that must not be present. TrustedForm will then perform a case and whitespace insensitive search for the string. If the string is found in the HTML document, then \"string found in snapshot\" will be included in the warnings key of the response and the outcome with be \"failure\".\n\nThis parameter may be included multiple times\n","type":"string","uniqueKey":"forbidden_scan_terms","typeLabel":"string"},"forbidden_scan_terms[]":{"description":"Use this parameter to perform a scan of the page for text that must not be present. TrustedForm will then perform a case and whitespace insensitive search for the string. If the string is found in the HTML document, then \"string found in snapshot\" will be included in the warnings key of the response and the outcome with be \"failure\".\n\nThis parameter may be included multiple times\n","items":{"type":"string","uniqueKey":"forbidden_scan_terms[].items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"forbidden_scan_terms[]","typeLabel":"string[]"},"phone_1":{"description":"When using the data service on a certificate, you may pass an optional phone (or phone_1, phone_2, etc) parameter. TrustedForm will extract the phone number value and perform fingerprinting against the available data.\n","type":"string","uniqueKey":"phone_1","typeLabel":"string"},"required_scan_terms":{"description":"Use this parameter to perform a scan of the page for required text. TrustedForm will then perform a case and whitespace insensitive search for the string. If the string is not found in the HTML document, then \"string not found in snapshot\" will be included in the warnings key of the response and the outcome will be \"failure\".\n\nThis parameter may be included multiple times\n","type":"string","uniqueKey":"required_scan_terms","typeLabel":"string"},"required_scan_terms[]":{"description":"Use this parameter to perform a scan of the page for required text. TrustedForm will then perform a case and whitespace insensitive search for the string. If the string is not found in the HTML document, then \"string not found in snapshot\" will be included in the warnings key of the response and the outcome will be \"failure\".\n\nThis parameter may be included multiple times\n","items":{"type":"string","uniqueKey":"required_scan_terms[].items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"required_scan_terms[]","typeLabel":"string[]"},"scan_delimiter":{"description":"You can provide your own delimiter to use when wrapping wildcards or\ntempate variablies. Your choice of delimiter must be homogeneous (i.e.\nthe beginning and end are the same character(s)), such as\n`|`, `==`, or `|||`.\n","type":"string","uniqueKey":"scan_delimiter","typeLabel":"string"}},"title":"DataServiceRequest","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.DataServiceRequest","uniqueKey":"","typeLabel":"DataServiceRequest · object"},"examples":{"Example":{"title":"Example","value":{"email":"user@example.com","fingerprint":"Y6cQVpJhoks3ZidbcADOjXsy4vc=","forbidden_scan_terms":"I do not agree to the terms of service","phone_1":"5125551234","required_scan_terms":"I agree to the terms of service"}}},"exampleType":"generated"}},"description":"DataServiceRequest","required":false,"exampleType":"generated"},"responses":{"1a862367-6f09-4ccd-bd52-3789cf3e9553":{"content":{"application/json":{"schema":{"description":"Data Service Consent+Data Response","example":{"cert":{"age_seconds":33,"approx_ip_geo":{"city":"Austin","country_code":"US","lat":30.4548,"lon":-97.7664,"postal_code":"78729","state":"TX","time_zone":"America/Chicago"},"browser":{"full":"Chrome 95.0.4638.69","name":"Chrome","version":{"full":"95.0.4638.69","major":"95","minor":"0","patch":"4638.69"}},"created_at":"2021-11-12T22:06:44Z","domain":"example.com","event_duration_ms":21110,"expires_at":"2021-11-15T22:06:44Z","form_input_method":["typing","autofill"],"ip":"8.8.8.8","is_framed":true,"is_mobile":false,"kpm":68.2314,"operating_system":{"full":"Mac OS X 10.15.7","name":"Mac OS X","version":{"full":"10.15.7","major":"10","minor":"15","patch":"7"}},"page_id":"5d8ce3c9502b426f77001ae7","page_url":"https://www.example.com/contact.html","parent_page_url":"https://www.example.com/index.html","user_agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/95.0.4638.69 Safari/537.36","wpm":77.1234},"fingerprints":{"matching":["c4a8e7fe184993964ae81380e91579015306838a","d511850d569bcd7802c30f54de34bb9f2b31eede"],"non_matching":["d511850d569bcd7802c30f54de34bb9f2b31eed1"]},"is_masked":false,"outcome":"success","scans":{"forbidden_found":["Enim sit amet venenatis"],"forbidden_not_found":["Est velit egestas"],"required_found":["lorem ipsum dolor"],"required_not_found":["Ad qui aperiri"]},"warnings":[]},"properties":{"cert":{"example":{"age_seconds":33,"approx_ip_geo":{"city":"Austin","country_code":"US","lat":30.4548,"lon":-97.7664,"postal_code":"78729","state":"TX","time_zone":"America/Chicago"},"browser":{"full":"Chrome 95.0.4638.69","name":"Chrome","version":{"full":"95.0.4638.69","major":"95","minor":"0","patch":"4638.69"}},"created_at":"2021-11-12T22:06:44Z","domain":"example.com","event_duration_ms":21110,"expires_at":"2021-11-15T22:06:44Z","form_input_method":["typing","autofill"],"ip":"8.8.8.8","is_framed":true,"is_mobile":false,"kpm":68.2314,"operating_system":{"full":"Mac OS X 10.15.7","name":"Mac OS X","version":{"full":"10.15.7","major":"10","minor":"15","patch":"7"}},"page_id":"5d8ce3c9502b426f77001ae7","page_url":"https://www.example.com/contact.html","parent_page_url":"https://www.example.com/index.html","user_agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/95.0.4638.69 Safari/537.36","wpm":77.1234},"properties":{"age_seconds":{"description":"Number of seconds since the last user interaction with the certificate","type":"integer","isRequired":true,"uniqueKey":"cert.age_seconds","typeLabel":"integer"},"approx_ip_geo":{"oneOf":[{"description":"Approximate geolocation based on IP","properties":{"city":{"oneOf":[{"description":"City Name","type":"string","uniqueKey":"cert.approx_ip_geo.oneOf.0.city.oneOf.0","typeLabel":"string"},{"description":"City Name","type":"null","uniqueKey":"cert.approx_ip_geo.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"cert.approx_ip_geo.oneOf.0.city","typeLabel":"string | null"},"country_code":{"oneOf":[{"description":"Country Code","type":"string","uniqueKey":"cert.approx_ip_geo.oneOf.0.country_code.oneOf.0","typeLabel":"string"},{"description":"Country Code","type":"null","uniqueKey":"cert.approx_ip_geo.oneOf.0.country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"cert.approx_ip_geo.oneOf.0.country_code","typeLabel":"string | null"},"lat":{"oneOf":[{"description":"Latitude","type":"number","uniqueKey":"cert.approx_ip_geo.oneOf.0.lat.oneOf.0","typeLabel":"number"},{"description":"Latitude","type":"null","uniqueKey":"cert.approx_ip_geo.oneOf.0.lat.oneOf.1","typeLabel":"null"}],"uniqueKey":"cert.approx_ip_geo.oneOf.0.lat","typeLabel":"number | null"},"lon":{"oneOf":[{"description":"Longitude","type":"number","uniqueKey":"cert.approx_ip_geo.oneOf.0.lon.oneOf.0","typeLabel":"number"},{"description":"Longitude","type":"null","uniqueKey":"cert.approx_ip_geo.oneOf.0.lon.oneOf.1","typeLabel":"null"}],"uniqueKey":"cert.approx_ip_geo.oneOf.0.lon","typeLabel":"number | null"},"postal_code":{"oneOf":[{"description":"Mailing address postal code","type":"string","uniqueKey":"cert.approx_ip_geo.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"description":"Mailing address postal code","type":"null","uniqueKey":"cert.approx_ip_geo.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"cert.approx_ip_geo.oneOf.0.postal_code","typeLabel":"string | null"},"state":{"oneOf":[{"description":"State/Province or Political Subdivision abbreviation","type":"string","uniqueKey":"cert.approx_ip_geo.oneOf.0.state.oneOf.0","typeLabel":"string"},{"description":"State/Province or Political Subdivision abbreviation","type":"null","uniqueKey":"cert.approx_ip_geo.oneOf.0.state.oneOf.1","typeLabel":"null"}],"uniqueKey":"cert.approx_ip_geo.oneOf.0.state","typeLabel":"string | null"},"time_zone":{"oneOf":[{"description":"Timezone name","type":"string","uniqueKey":"cert.approx_ip_geo.oneOf.0.time_zone.oneOf.0","typeLabel":"string"},{"description":"Timezone name","type":"null","uniqueKey":"cert.approx_ip_geo.oneOf.0.time_zone.oneOf.1","typeLabel":"null"}],"uniqueKey":"cert.approx_ip_geo.oneOf.0.time_zone","typeLabel":"string | null"}},"type":"object","isRequired":true,"uniqueKey":"cert.approx_ip_geo.oneOf.0","typeLabel":"object"},{"description":"Approximate geolocation based on IP","properties":{"city":{"oneOf":[{"description":"City Name","type":"string"},{"description":"City Name","type":"null"}]},"country_code":{"oneOf":[{"description":"Country Code","type":"string"},{"description":"Country Code","type":"null"}]},"lat":{"oneOf":[{"description":"Latitude","type":"number"},{"description":"Latitude","type":"null"}]},"lon":{"oneOf":[{"description":"Longitude","type":"number"},{"description":"Longitude","type":"null"}]},"postal_code":{"oneOf":[{"description":"Mailing address postal code","type":"string"},{"description":"Mailing address postal code","type":"null"}]},"state":{"oneOf":[{"description":"State/Province or Political Subdivision abbreviation","type":"string"},{"description":"State/Province or Political Subdivision abbreviation","type":"null"}]},"time_zone":{"oneOf":[{"description":"Timezone name","type":"string"},{"description":"Timezone name","type":"null"}]}},"type":"null","isRequired":true,"uniqueKey":"cert.approx_ip_geo.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.approx_ip_geo","typeLabel":"object | null"},"browser":{"oneOf":[{"description":"Browser parsed from the user-agent, when known","properties":{"full":{"description":"A human-friendly version of the browser parsed from the user-agent","type":"string","uniqueKey":"cert.browser.oneOf.0.full","typeLabel":"string"},"name":{"description":"Browser name","type":"string","uniqueKey":"cert.browser.oneOf.0.name","typeLabel":"string"},"version":{"description":"Browser version","properties":{"full":{"description":"A String containing the version","type":"string","uniqueKey":"cert.browser.oneOf.0.version.full","typeLabel":"string"},"major":{"description":"A String containing the major version","type":"string","uniqueKey":"cert.browser.oneOf.0.version.major","typeLabel":"string"},"minor":{"description":"A String containing the minor version","type":"string","uniqueKey":"cert.browser.oneOf.0.version.minor","typeLabel":"string"},"patch":{"description":"A String containing the patch version","type":"string","uniqueKey":"cert.browser.oneOf.0.version.patch","typeLabel":"string"}},"type":"object","uniqueKey":"cert.browser.oneOf.0.version","typeLabel":"object"}},"type":"object","isRequired":true,"uniqueKey":"cert.browser.oneOf.0","typeLabel":"object"},{"description":"Browser parsed from the user-agent, when known","properties":{"full":{"description":"A human-friendly version of the browser parsed from the user-agent","type":"string"},"name":{"description":"Browser name","type":"string"},"version":{"description":"Browser version","properties":{"full":{"description":"A String containing the version","type":"string"},"major":{"description":"A String containing the major version","type":"string"},"minor":{"description":"A String containing the minor version","type":"string"},"patch":{"description":"A String containing the patch version","type":"string"}},"type":"object"}},"type":"null","isRequired":true,"uniqueKey":"cert.browser.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.browser","typeLabel":"object | null"},"created_at":{"description":"The UTC ISO8601 formatted date and time when the TrustedForm script was loaded","format":"date-time","type":"string","isRequired":true,"uniqueKey":"cert.created_at","typeLabel":"string\u003cdate-time>"},"domain":{"oneOf":[{"description":"The domain of the page url","type":"string","isRequired":true,"uniqueKey":"cert.domain.oneOf.0","typeLabel":"string"},{"description":"The domain of the page url","type":"null","isRequired":true,"uniqueKey":"cert.domain.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.domain","typeLabel":"string | null"},"event_duration_ms":{"oneOf":[{"description":"The time in milliseconds between when the script was loaded and when the most recent event was received","type":"integer","isRequired":true,"uniqueKey":"cert.event_duration_ms.oneOf.0","typeLabel":"integer"},{"description":"The time in milliseconds between when the script was loaded and when the most recent event was received","type":"null","isRequired":true,"uniqueKey":"cert.event_duration_ms.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.event_duration_ms","typeLabel":"integer | null"},"expires_at":{"description":"The UTC ISO8601 formatted date and time when the claim period for the certificate will expire","format":"date-time","type":"string","isRequired":true,"uniqueKey":"cert.expires_at","typeLabel":"string\u003cdate-time>"},"form_input_method":{"oneOf":[{"description":" The detected input method or methods the consumer used to fill out the form\n\n * `autofill`: The form was filled out using browser autofill.\n * `paste`: The form was filled out pasting text.\n * `typing`: The form was filled out typing.\n","items":{"enum":["autofill","paste","typing"],"type":"string","uniqueKey":"cert.form_input_method.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","uniqueItems":true,"isRequired":true,"uniqueKey":"cert.form_input_method.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"description":" The detected input method or methods the consumer used to fill out the form\n\n * `autofill`: The form was filled out using browser autofill.\n * `paste`: The form was filled out pasting text.\n * `typing`: The form was filled out typing.\n","items":{"enum":["autofill","paste","typing"],"type":"string"},"type":"null","uniqueItems":true,"isRequired":true,"uniqueKey":"cert.form_input_method.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.form_input_method","typeLabel":"enum\u003cstring>[] | null"},"ip":{"oneOf":[{"description":"The consumer's public IP address","type":"string","isRequired":true,"uniqueKey":"cert.ip.oneOf.0","typeLabel":"string"},{"description":"The consumer's public IP address","type":"null","isRequired":true,"uniqueKey":"cert.ip.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.ip","typeLabel":"string | null"},"is_framed":{"oneOf":[{"description":"A boolean indicating that the form was displayed within an iframe","type":"boolean","isRequired":true,"uniqueKey":"cert.is_framed.oneOf.0","typeLabel":"boolean"},{"description":"A boolean indicating that the form was displayed within an iframe","type":"null","isRequired":true,"uniqueKey":"cert.is_framed.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.is_framed","typeLabel":"boolean | null"},"is_mobile":{"oneOf":[{"description":"A boolean indicating that the form was filled out on a mobile device or tablet, based on user-agent","type":"boolean","isRequired":true,"uniqueKey":"cert.is_mobile.oneOf.0","typeLabel":"boolean"},{"description":"A boolean indicating that the form was filled out on a mobile device or tablet, based on user-agent","type":"null","isRequired":true,"uniqueKey":"cert.is_mobile.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.is_mobile","typeLabel":"boolean | null"},"kpm":{"oneOf":[{"description":"Approximate calculated words per minute","type":"number","isRequired":true,"uniqueKey":"cert.kpm.oneOf.0","typeLabel":"number"},{"description":"Approximate calculated words per minute","type":"null","isRequired":true,"uniqueKey":"cert.kpm.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.kpm","typeLabel":"number | null"},"operating_system":{"oneOf":[{"description":"Operating system information parsed from the user-agent, when known","properties":{"full":{"description":"A human-friendly version of the operating system information parsed from the user-agent","type":"string","uniqueKey":"cert.operating_system.oneOf.0.full","typeLabel":"string"},"name":{"description":"Operating system name","type":"string","uniqueKey":"cert.operating_system.oneOf.0.name","typeLabel":"string"},"version":{"description":"Operating system version","properties":{"full":{"description":"A String containing the version","type":"string","uniqueKey":"cert.operating_system.oneOf.0.version.full","typeLabel":"string"},"major":{"description":"A String containing the major version","type":"string","uniqueKey":"cert.operating_system.oneOf.0.version.major","typeLabel":"string"},"minor":{"description":"A String containing the minor version","type":"string","uniqueKey":"cert.operating_system.oneOf.0.version.minor","typeLabel":"string"},"patch":{"description":"A String containing the patch version","type":"string","uniqueKey":"cert.operating_system.oneOf.0.version.patch","typeLabel":"string"}},"type":"object","uniqueKey":"cert.operating_system.oneOf.0.version","typeLabel":"object"}},"type":"object","isRequired":true,"uniqueKey":"cert.operating_system.oneOf.0","typeLabel":"object"},{"description":"Operating system information parsed from the user-agent, when known","properties":{"full":{"description":"A human-friendly version of the operating system information parsed from the user-agent","type":"string"},"name":{"description":"Operating system name","type":"string"},"version":{"description":"Operating system version","properties":{"full":{"description":"A String containing the version","type":"string"},"major":{"description":"A String containing the major version","type":"string"},"minor":{"description":"A String containing the minor version","type":"string"},"patch":{"description":"A String containing the patch version","type":"string"}},"type":"object"}},"type":"null","isRequired":true,"uniqueKey":"cert.operating_system.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.operating_system","typeLabel":"object | null"},"page_id":{"oneOf":[{"description":"The account based unique page id","type":"string","isRequired":true,"uniqueKey":"cert.page_id.oneOf.0","typeLabel":"string"},{"description":"The account based unique page id","type":"null","isRequired":true,"uniqueKey":"cert.page_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.page_id","typeLabel":"string | null"},"page_url":{"oneOf":[{"description":"The URL of the page hosting the TrustedForm script","format":"url","type":"string","isRequired":true,"uniqueKey":"cert.page_url.oneOf.0","typeLabel":"string\u003curl>"},{"description":"The URL of the page hosting the TrustedForm script","format":"url","type":"null","isRequired":true,"uniqueKey":"cert.page_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.page_url","typeLabel":"string\u003curl> | null"},"parent_page_url":{"oneOf":[{"description":"The parent URL of the page hosting the TrustedForm script, if framed","format":"url","type":"string","isRequired":true,"uniqueKey":"cert.parent_page_url.oneOf.0","typeLabel":"string\u003curl>"},{"description":"The parent URL of the page hosting the TrustedForm script, if framed","format":"url","type":"null","isRequired":true,"uniqueKey":"cert.parent_page_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.parent_page_url","typeLabel":"string\u003curl> | null"},"user_agent":{"oneOf":[{"description":"The consumer's browser user-agent","type":"string","isRequired":true,"uniqueKey":"cert.user_agent.oneOf.0","typeLabel":"string"},{"description":"The consumer's browser user-agent","type":"null","isRequired":true,"uniqueKey":"cert.user_agent.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.user_agent","typeLabel":"string | null"},"wpm":{"oneOf":[{"description":"Approximate calculated key presses per minute","type":"number","isRequired":true,"uniqueKey":"cert.wpm.oneOf.0","typeLabel":"number"},{"description":"Approximate calculated key presses per minute","type":"null","isRequired":true,"uniqueKey":"cert.wpm.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"cert.wpm","typeLabel":"number | null"}},"required":["age_seconds","approx_ip_geo","browser","created_at","domain","expires_at","event_duration_ms","is_framed","form_input_method","ip","kpm","is_mobile","operating_system","page_id","page_url","parent_page_url","user_agent","wpm"],"title":"DataServiceCert","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.DataServiceCert","isRequired":true,"uniqueKey":"cert","typeLabel":"DataServiceCert · object"},"fingerprints":{"example":{"matching":["c4a8e7fe184993964ae81380e91579015306838a","d511850d569bcd7802c30f54de34bb9f2b31eede"],"non_matching":["d511850d569bcd7802c30f54de34bb9f2b31eed1"]},"properties":{"matching":{"description":"Requested fingerprints that match fingerprints collected with the certificate","items":{"type":"string","uniqueKey":"fingerprints.matching.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"fingerprints.matching","typeLabel":"string[]"},"not_matching":{"description":"Fingerprints that do not match fingerprints collected with the certificate","items":{"type":"string","uniqueKey":"fingerprints.not_matching.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"fingerprints.not_matching","typeLabel":"string[]"}},"title":"Fingerprints","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.ClaimFingerprints","isRequired":true,"uniqueKey":"fingerprints","typeLabel":"Fingerprints · object"},"is_masked":{"description":"A boolean indicating whether the certificate is masked","type":"boolean","isRequired":true,"uniqueKey":"is_masked","typeLabel":"boolean"},"outcome":{"default":"success","description":"The result of the attempt to verify consent. Success indicates that the request did not generate any warnings related to consent verification. Failure indicates that the requests generated warnings because no fingerprints matched, forbidden scan terms were found or required scan terms were missing. Error indicates that the request was not successfull and the request should be reviewed and potentially retried.\n","enum":["success","failure","error"],"type":"string","isRequired":true,"uniqueKey":"outcome","typeLabel":"enum\u003cstring>"},"scans":{"example":{"forbidden_found":["Enim sit amet venenatis"],"forbidden_not_found":["Est velit egestas"],"required_found":["lorem ipsum dolor"],"required_not_found":["Ad qui aperiri"]},"properties":{"forbidden_found":{"description":"Requested required text found on page","items":{"type":"string","uniqueKey":"scans.forbidden_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"scans.forbidden_found","typeLabel":"string[]"},"forbidden_not_found":{"description":"Requested required text not found on page","items":{"type":"string","uniqueKey":"scans.forbidden_not_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"scans.forbidden_not_found","typeLabel":"string[]"},"required_found":{"description":"Requested required text found on page","items":{"type":"string","uniqueKey":"scans.required_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"scans.required_found","typeLabel":"string[]"},"required_not_found":{"description":"Requested required text not found on page","items":{"type":"string","uniqueKey":"scans.required_not_found.items.[INDEX]","typeLabel":"string"},"type":"array","isRequired":true,"uniqueKey":"scans.required_not_found","typeLabel":"string[]"}},"required":["required_found","required_not_found","forbidden_found","forbidden_not_found"],"title":"PageScans","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.ClaimPageScans","isRequired":true,"uniqueKey":"scans","typeLabel":"PageScans · object"},"reason":{"description":"Provides an explanation for failure or error.\n\nOnly used for `outcome` of `failure` or `error`.\n","type":"string","uniqueKey":"reason","typeLabel":"string"},"warnings":{"description":" An array of strings indicating possible issues with the certificate\n\n * `none of the provided fingerprints match`: No fingerprints matched.\n * `string not found in snapshot`: A required page scan text was not found.\n * `string found in snapshot`: A forbidden page scan text was found.\n","items":{"enum":["none of the provided fingerprints match","string not found in snapshot","string found in snapshot"],"type":"string","uniqueKey":"warnings.items.[INDEX]","typeLabel":"enum\u003cstring>"},"type":"array","uniqueKey":"warnings","typeLabel":"enum\u003cstring>[]"}},"required":["outcome","cert","is_masked","scans","fingerprints"],"title":"DataServiceConsentAndDataResponse","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.DataServiceConsentAndDataResponse","uniqueKey":"","typeLabel":"DataServiceConsentAndDataResponse · object"},"examples":{"Example":{"title":"Example","value":{"cert":{"age_seconds":33,"approx_ip_geo":{"city":"Austin","country_code":"US","lat":30.4548,"lon":-97.7664,"postal_code":"78729","state":"TX","time_zone":"America/Chicago"},"browser":{"full":"Chrome 95.0.4638.69","name":"Chrome","version":{"full":"95.0.4638.69","major":"95","minor":"0","patch":"4638.69"}},"created_at":"2021-11-12T22:06:44Z","domain":"example.com","event_duration_ms":21110,"expires_at":"2021-11-15T22:06:44Z","form_input_method":["typing","autofill"],"ip":"8.8.8.8","is_framed":true,"is_mobile":false,"kpm":68.2314,"operating_system":{"full":"Mac OS X 10.15.7","name":"Mac OS X","version":{"full":"10.15.7","major":"10","minor":"15","patch":"7"}},"page_id":"5d8ce3c9502b426f77001ae7","page_url":"https://www.example.com/contact.html","parent_page_url":"https://www.example.com/index.html","user_agent":"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/95.0.4638.69 Safari/537.36","wpm":77.1234},"fingerprints":{"matching":["c4a8e7fe184993964ae81380e91579015306838a","d511850d569bcd7802c30f54de34bb9f2b31eede"],"non_matching":["d511850d569bcd7802c30f54de34bb9f2b31eed1"]},"is_masked":false,"outcome":"success","scans":{"forbidden_found":["Enim sit amet venenatis"],"forbidden_not_found":["Est velit egestas"],"required_found":["lorem ipsum dolor"],"required_not_found":["Ad qui aperiri"]},"warnings":[]}}},"exampleType":"generated"}},"description":"Success","exampleType":"generated"},"2a8b8f0a-fc5d-471f-80d0-579d8faeb018":{"content":{"application/json":{"schema":{"example":{"errors":{"detail":"Malformed certificate id"},"message":"Malformed certificate id","outcome":"error","reason":"Malformed certificate id"},"properties":{"errors":{"properties":{"detail":{"type":"string","uniqueKey":"errors.detail","typeLabel":"string"}},"type":"object","isRequired":true,"uniqueKey":"errors","typeLabel":"object"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"outcome":{"type":"string","isRequired":true,"uniqueKey":"outcome","typeLabel":"string"},"reason":{"type":"string","isRequired":true,"uniqueKey":"reason","typeLabel":"string"}},"required":["errors","message","outcome","reason"],"title":"BadRequest","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.BadRequest","uniqueKey":"","typeLabel":"BadRequest · object"},"examples":{"Example":{"title":"Example","value":{"errors":{"detail":"Malformed certificate id"},"message":"Malformed certificate id","outcome":"error","reason":"Malformed certificate id"}}},"exampleType":"generated"}},"description":"Malformed Certificate URL","exampleType":"generated"},"1bfa074e-8d51-4865-96d6-61165c2f166e":{"content":{"application/json":{"schema":{"example":{"errors":{"detail":"Unauthorized"},"message":"Unauthorized","outcome":"error","reason":"Unauthorized"},"properties":{"errors":{"properties":{"detail":{"type":"string","uniqueKey":"errors.detail","typeLabel":"string"}},"type":"object","isRequired":true,"uniqueKey":"errors","typeLabel":"object"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"outcome":{"type":"string","isRequired":true,"uniqueKey":"outcome","typeLabel":"string"},"reason":{"type":"string","isRequired":true,"uniqueKey":"reason","typeLabel":"string"}},"required":["errors","message","outcome","reason"],"title":"Unauthorized","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.Unauthorized","uniqueKey":"","typeLabel":"Unauthorized · object"},"examples":{"Example":{"title":"Example","value":{"errors":{"detail":"Unauthorized"},"message":"Unauthorized","outcome":"error","reason":"Unauthorized"}}},"exampleType":"generated"}},"description":"Unauthorized","exampleType":"generated"},"1be4c550-e5a8-490d-9b58-50e714719cfe":{"content":{"application/json":{"schema":{"example":{"errors":{"detail":"Account is inactive"},"message":"Account is inactive","outcome":"error","reason":"Account is inactive"},"properties":{"errors":{"properties":{"detail":{"type":"string","uniqueKey":"errors.detail","typeLabel":"string"}},"type":"object","isRequired":true,"uniqueKey":"errors","typeLabel":"object"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"outcome":{"type":"string","isRequired":true,"uniqueKey":"outcome","typeLabel":"string"},"reason":{"type":"string","isRequired":true,"uniqueKey":"reason","typeLabel":"string"}},"required":["errors","message","outcome","reason"],"title":"PaymentRequired","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.PaymentRequired","uniqueKey":"","typeLabel":"PaymentRequired · object"},"examples":{"Example":{"title":"Example","value":{"errors":{"detail":"Account is inactive"},"message":"Account is inactive","outcome":"error","reason":"Account is inactive"}}},"exampleType":"generated"}},"description":"Account is inactive or out of funds","exampleType":"generated"},"c5205a0e-5d08-4540-af85-0e0bbd93ae0d":{"content":{"application/json":{"schema":{"example":{"outcome":"error","reason":"TrustedForm certificate has expired or could not be found"},"properties":{"outcome":{"type":"string","isRequired":true,"uniqueKey":"outcome","typeLabel":"string"},"reason":{"type":"string","isRequired":true,"uniqueKey":"reason","typeLabel":"string"}},"required":["outcome","reason"],"title":"NotFound","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.NotFound","uniqueKey":"","typeLabel":"NotFound · object"},"examples":{"Example":{"title":"Example","value":{"outcome":"error","reason":"TrustedForm certificate has expired or could not be found"}}},"exampleType":"generated"}},"description":"TrustedForm certificate has expired or could not be found","exampleType":"generated"},"7554e13c-913e-44a0-ba8a-722af31c8b98":{"content":{"application/json":{"schema":{"example":{"outcome":"error","reason":"Certificate is not claimable"},"properties":{"outcome":{"type":"string","isRequired":true,"uniqueKey":"outcome","typeLabel":"string"},"reason":{"type":"string","isRequired":true,"uniqueKey":"reason","typeLabel":"string"}},"required":["outcome","reason"],"title":"MethodNotAllowed","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.MethodNotAllowed","uniqueKey":"","typeLabel":"MethodNotAllowed · object"},"examples":{"Example":{"title":"Example","value":{"outcome":"error","reason":"Certificate is not claimable"}}},"exampleType":"generated"}},"description":"Attempted to claim a 'sandboxed' certificate","exampleType":"generated"},"74a84d95-5337-414d-aeb1-e75f381a3d33":{"content":{"application/json":{"schema":{"example":{"outcome":"error","reason":"Certificate has been claimed too many times"},"properties":{"outcome":{"type":"string","isRequired":true,"uniqueKey":"outcome","typeLabel":"string"},"reason":{"type":"string","isRequired":true,"uniqueKey":"reason","typeLabel":"string"}},"required":["outcome","reason"],"title":"UnprocessableEntity","type":"object","x-struct":"Elixir.ClaimerWeb.Schemas.UnprocessableEntity","uniqueKey":"","typeLabel":"UnprocessableEntity · object"},"examples":{"Example":{"title":"Example","value":{"outcome":"error","reason":"Certificate has been claimed too many times"}}},"exampleType":"generated"}},"description":"The certificate has been claimed too many times","exampleType":"generated"}},"security":{},"servers":{"371b2407-45a8-41eb-be2b-d0e5a4677c60":{"description":"The base URL for production.","url":"https://cert.trustedform.com","variables":{}}}},"originalFileLocation":"api-reference/trustedform_v3.json"},"subdomain":"activeprospectinc","siteName":"ActiveProspect Developer Documentation","title":"Retrieve Certificate Insights - ActiveProspect Developer Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-14T14:14:47.267Z","originalFileLocation":"api-reference/retrieving-insights/retrieve-certificate-insights.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Account holders using TrustedForm Insights who are receiving certified leads can use the following request to retrieve TrustedForm metadata for the lead contained in a TrustedForm certificate.\">\u003cmeta data-mint-head name=\"application-name\" content=\"ActiveProspect Developer Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/activeprospectinc/-voIGRv_PaCQr-Wj/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/activeprospectinc/-voIGRv_PaCQr-Wj/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/activeprospectinc/-voIGRv_PaCQr-Wj/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/activeprospectinc/-voIGRv_PaCQr-Wj/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/activeprospectinc/-voIGRv_PaCQr-Wj/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/activeprospectinc/-voIGRv_PaCQr-Wj/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/activeprospectinc/-voIGRv_PaCQr-Wj/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/activeprospectinc/-voIGRv_PaCQr-Wj/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/activeprospectinc/-voIGRv_PaCQr-Wj/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve Certificate Insights - ActiveProspect Developer Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Account holders using TrustedForm Insights who are receiving certified leads can use the following request to retrieve TrustedForm metadata for the lead contained in a TrustedForm certificate.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ActiveProspect Developer Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.activeprospect.com/api-reference/retrieving-insights/retrieve-certificate-insights\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://activeprospectinc.mintlify.app/_mintlify/api/og/v2?division=Retrieving+Insights\u0026amp;title=Retrieve+Certificate+Insights\u0026amp;description=Account+holders+using+TrustedForm+Insights+who+are+receiving+certified+leads+can+use+the+following+request+to+retrieve+TrustedForm+metadata+for+the+lead+contain\u0026amp;theme=82b92e625aa25be6cc045629\u0026amp;signature=52d890f191113a49cd12b81ae1c3ac09a92a7198f7c1e5506dc3fe29e5768f24\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve Certificate Insights - ActiveProspect Developer Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Account holders using TrustedForm Insights who are receiving certified leads can use the following request to retrieve TrustedForm metadata for the lead contained in a TrustedForm certificate.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://activeprospectinc.mintlify.app/_mintlify/api/og/v2?division=Retrieving+Insights\u0026amp;title=Retrieve+Certificate+Insights\u0026amp;description=Account+holders+using+TrustedForm+Insights+who+are+receiving+certified+leads+can+use+the+following+request+to+retrieve+TrustedForm+metadata+for+the+lead+contain\u0026amp;theme=82b92e625aa25be6cc045629\u0026amp;signature=52d890f191113a49cd12b81ae1c3ac09a92a7198f7c1e5506dc3fe29e5768f24\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/activeprospectinc/-voIGRv_PaCQr-Wj/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ActiveProspect Developer Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#22a7f0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.activeprospect.com/api-reference/retrieving-insights/retrieve-certificate-insights\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/retrieving-insights/retrieve-certificate-insights.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.activeprospect.com/#organization\",\"name\":\"ActiveProspect Developer Documentation\",\"url\":\"https://developers.activeprospect.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/activeprospectinc/ttzTIJYOTNQPAJMy/logo/activeprospect_logo.svg?fit=max\u0026auto=format\u0026n=ttzTIJYOTNQPAJMy\u0026q=85\u0026s=9c7503c7631642aa1f7288ae35cc02cc\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.activeprospect.com#website\",\"name\":\"ActiveProspect Developer Documentation\",\"url\":\"https://developers.activeprospect.com\",\"publisher\":{\"@id\":\"https://developers.activeprospect.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.activeprospect.com/api-reference/retrieving-insights/retrieve-certificate-insights#webpage\",\"url\":\"https://developers.activeprospect.com/api-reference/retrieving-insights/retrieve-certificate-insights\",\"name\":\"Retrieve Certificate Insights\",\"description\":\"Account holders using TrustedForm Insights who are receiving certified leads can use the following request to retrieve TrustedForm metadata for the lead contained in a TrustedForm certificate.\",\"dateModified\":\"2026-04-14T14:14:47.267Z\",\"isPartOf\":{\"@id\":\"https://developers.activeprospect.com#website\"},\"breadcrumb\":{\"@id\":\"https://developers.activeprospect.com/api-reference/retrieving-insights/retrieve-certificate-insights#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.activeprospect.com/api-reference/retrieving-insights/retrieve-certificate-insights#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Documentation\",\"item\":\"https://developers.activeprospect.com/pages/trustedform/authentication\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"TrustedForm API 3.0\",\"item\":\"https://developers.activeprospect.com/api-reference/trustedform/v3/overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Retrieve Certificate Insights\",\"item\":\"https://developers.activeprospect.com/api-reference/retrieving-insights/retrieve-certificate-insights\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.activeprospect.com/api-reference/retrieving-insights/retrieve-certificate-insights#apireference\",\"headline\":\"Retrieve Certificate Insights\",\"name\":\"Retrieve Certificate Insights\",\"description\":\"Account holders using TrustedForm Insights who are receiving certified leads can use the following request to retrieve TrustedForm metadata for the lead contained in a TrustedForm certificate.\",\"url\":\"https://developers.activeprospect.com/api-reference/retrieving-insights/retrieve-certificate-insights\",\"mainEntityOfPage\":{\"@id\":\"https://developers.activeprospect.com/api-reference/retrieving-insights/retrieve-certificate-insights#webpage\"},\"dateModified\":\"2026-04-14T14:14:47.267Z\",\"publisher\":{\"@id\":\"https://developers.activeprospect.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.activeprospect.com#website\"}}]}\u003c/script>","siteName":"ActiveProspect Developer Documentation","nav":{"global":null,"tabs":[{"tab":"Welcome","pages":[{"title":"Welcome","href":""}]},{"tab":"TrustedForm","pages":[{"title":"Getting Started","href":"/pages/trustedform/getting-started"},{"title":"Implementing the TrustedForm Certify Web SDK","href":"/pages/trustedform/implementing-trustedform-certify"},{"title":"Adding TrustedForm Consent Tags","href":"/pages/trustedform/consent-tagging"},{"group":"API Documentation","pages":[{"title":"Authentication","href":"/pages/trustedform/authentication"},{"group":"TrustedForm API 4.0","pages":[{"group":"Certificate URL","root":{"title":"Certificate URL","href":"/api-reference/trustedform/v4/certificate-url"},"pages":[{"title":"Run Certificate Operations","deprecated":null,"version":null,"openapi":"/api-reference/claims_api-v4.yaml post /{cert_id}","href":"/api-reference/certificate-url/run-certificate-operations"}]},{"group":"Operations","root":{"title":"Operations","href":"/api-reference/trustedform/v4/operations"},"pages":[{"group":"Match Lead","root":{"title":"Match Lead","href":"/api-reference/trustedform/v4/operations/match-lead"},"pages":[{"title":null,"href":"/api-reference/trustedform/v4/operations/schemas/MatchLeadParameters"},{"title":null,"href":"/api-reference/trustedform/v4/operations/schemas/MatchLeadResult"}]},{"group":"Retain","root":{"title":"Retain","href":"/api-reference/trustedform/v4/operations/retain"},"pages":[{"title":null,"href":"/api-reference/trustedform/v4/operations/schemas/RetainParameters"},{"title":null,"href":"/api-reference/trustedform/v4/operations/schemas/RetainResult"}]},{"group":"Insights","root":{"title":"Insights","href":"/api-reference/trustedform/v4/operations/insights"},"pages":[{"title":null,"href":"/api-reference/trustedform/v4/operations/schemas/InsightsParameters"},{"title":null,"href":"/api-reference/trustedform/v4/operations/schemas/InsightsResult"}]},{"group":"Verify","root":{"title":"Verify","href":"/api-reference/trustedform/v4/operations/verify"},"pages":[{"title":null,"href":"/api-reference/trustedform/v4/operations/schemas/VerifyParameters"},{"title":null,"href":"/api-reference/trustedform/v4/operations/schemas/VerifyResult"}]}]},{"group":"Certificate","pages":[{"title":"Types","href":"/api-reference/trustedform/v4/certificate/types"},{"title":"Sending on Ping","href":"/api-reference/trustedform/v4/certificate/sending-on-ping"}]}]},{"title":"Validate API","href":"/pages/trustedform/validating-certificates"},{"group":"TrustedForm API 3.0","pages":[{"title":"Overview","description":null,"href":"/api-reference/trustedform/v3/overview"},{"group":"Retrieving Insights","pages":[{"title":"Retrieve Certificate Insights","deprecated":null,"version":null,"openapi":"/api-reference/trustedform_v3.json post /{cert_id_}","href":"/api-reference/retrieving-insights/retrieve-certificate-insights"}]},{"group":"Viewing Certificates","pages":[{"title":"Viewing a Certificate","description":"When you claim a certificate, TrustedForm returns either a \"consent\" or\n\"consent+data\" JSON response depending on your subscription. You can\n\"view\" this same response by sending a `GET` request to the same endpoint.\n\nThe following list provides examples of when you might want to use this\nendpoint:\n\n- You were unable to capture the initial response\n- You need to validate if you've claimed the certificate\n\n","deprecated":null,"version":null,"openapi":"/api-reference/trustedform_v3.json get /{cert_id}","href":"/api-reference/viewing-certificates/viewing-a-certificate"}]},{"group":"Claiming Certificates","pages":[{"title":"Claiming a Certificate","deprecated":null,"version":null,"openapi":"/api-reference/trustedform_v3.json post /{cert_id}","href":"/api-reference/claiming-certificates/claiming-a-certificate"}]},{"group":"TrustedForm Certificate Check-in","pages":[{"title":"Check-in","deprecated":null,"version":null,"openapi":"/api-reference/trustedform_v3.json post /{cert_id}/check_in","href":"/api-reference/trustedform-certificate-check-in/check-in"}]},{"group":"Ping","pages":[{"title":"Retrieving Ping Data","deprecated":true,"version":null,"openapi":"/api-reference/trustedform_v3.json post /{cert_id}/ping","href":"/api-reference/ping/retrieving-ping-data"},{"title":"Generate Ping URL","deprecated":true,"version":null,"openapi":"/api-reference/trustedform_v3.json get /{cert_id}/ping_url","href":"/api-reference/ping/generate-ping-url"}]}]},{"group":"TrustedForm API v2.0","pages":[{"title":"Overview","href":"/api-reference/trustedform/v2/overview"},{"group":"Ping","pages":[{"title":"Retrieve Ping Data","deprecated":true,"version":null,"openapi":"/api-reference/trustedform_v2.yaml get /{cert_id}/ping","href":"/api-reference/ping/retrieve-ping-data"}]},{"group":"Claiming Certificates","pages":[{"title":"Claiming Certificates","deprecated":null,"version":null,"openapi":"/api-reference/trustedform_v2.yaml post /{cert_id}","href":"/api-reference/claiming-certificates/claiming-certificates"}]}]}]}]},{"tab":"LeadConduit","pages":[{"title":"LeadConduit","href":"/api-reference/leadconduit"}]}]},"basePath":"","title":"Retrieve Certificate Insights - ActiveProspect Developer Documentation","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}